- [HTTP request](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#body.aspect)
- [DataLayerView](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#DataLayerView)
- [Try it!](https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#try-it)

Gets solar information for a region surrounding a location. Returns an error with code `NOT_FOUND` if the location is outside the coverage area.

### HTTP request

`GET https://solar.googleapis.com/v1/dataLayers:get`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `location` | ``object (`https://developers.google.com/maps/documentation/solar/reference/rest/v1/LatLng`)`` Required. The longitude and latitude for the center of the region to get data for. |
| `radiusMeters` | `number` Required. The radius, in meters, defining the region surrounding that centre point for which data should be returned. The limitations on this value are: - Any value up to 100m can always be specified. - Values over 100m can be specified, as long as `radiusMeters` \<= `pixelSizeMeters * 1000`. - However, for values over 175m, the `DataLayerView` in the request must not include monthly flux or hourly shade. |
| `view` | ``enum (`https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers/get#DataLayerView`)`` Optional. The desired subset of the data to return. |
| `requiredQuality` | ``enum (`https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers#ImageryQuality`)`` Optional. The minimum quality level allowed in the results. No result with lower quality than this will be returned. Not specifying this is equivalent to restricting to HIGH quality only. |
| `pixelSizeMeters` | `number` Optional. The minimum scale, in meters per pixel, of the data to return. Values of 0.1 (the default, if this field is not set explicitly), 0.25, 0.5, and 1.0 are supported. Imagery components whose normal resolution is less than `pixelSizeMeters` will be returned at the resolution specified by `pixelSizeMeters`; imagery components whose normal resolution is equal to or greater than `pixelSizeMeters` will be returned at that normal resolution. |
| `exactQualityRequired` | `boolean` Optional. Whether to require exact quality of the imagery. If set to false, the `requiredQuality` field is interpreted as the minimum required quality, such that HIGH quality imagery may be returned when `requiredQuality` is set to MEDIUM. If set to true, `requiredQuality` is interpreted as the exact required quality and only `MEDIUM` quality imagery is returned if `requiredQuality` is set to `MEDIUM`. |
| `experiments[]` | ``enum (`https://developers.google.com/maps/documentation/solar/reference/rest/v1/Experiment`)`` Optional. Specifies the pre-GA experiments to enable. Requests using this field are classified as a pre-GA offering under the [Google Maps Platform Service Specific Terms](https://cloud.google.com/maps-platform/terms/maps-service-terms). See \[launch stage descriptions\]( <https://cloud.google.com/maps-platform/terms/launch-stages>) for more details. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/solar/reference/rest/v1/dataLayers#DataLayers`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

## DataLayerView

What subset of the solar information to return.

| Enums ||
|---|---|
| `DATA_LAYER_VIEW_UNSPECIFIED` | Equivalent to FULL. |
| `DSM_LAYER` | Get the DSM only. |
| `IMAGERY_LAYERS` | Get the DSM, RGB, and mask. |
| `IMAGERY_AND_ANNUAL_FLUX_LAYERS` | Get the DSM, RGB, mask, and annual flux. |
| `IMAGERY_AND_ALL_FLUX_LAYERS` | Get the DSM, RGB, mask, annual flux, and monthly flux. |
| `FULL_LAYERS` | Get all data. |